Skip to navigation

Delete recipient from envelope

View as Markdown

Deletes a recipient from a draft or sent envelope.

If the envelope is “In Process” (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

recipientIdstringRequired

A local reference used to map recipients to other objects, such as specific document tabs.

A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope.

For example, many envelopes assign the first recipient a recipientId of 1.

Response

Successful response.
agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional
The number of recipients in the envelope.
sealslist of objectsOptional
A list of electronic seals to apply to documents.
signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Errors

400
Bad Request Error